# Uses of Interface
org.opensaml.soap.wstrust.CanonicalizationAlgorithm

Packages that use CanonicalizationAlgorithm
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of CanonicalizationAlgorithm in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement CanonicalizationAlgorithm
Modifier and Type
Class
Description
`class`
`CanonicalizationAlgorithmImpl`
CanonicalizationAlgorithmImpl.
Methods in org.opensaml.soap.wstrust.impl that return CanonicalizationAlgorithm
Modifier and Type
Method
Description
`CanonicalizationAlgorithm`
CanonicalizationAlgorithmBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`CanonicalizationAlgorithm`
CanonicalizationAlgorithmBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.